# Class PasswordEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.apache.jmeter.testbeans.gui.PasswordEditor

All Implemented Interfaces:
  `ActionListener, FocusListener, PropertyEditor, EventListener`

public class PasswordEditor extends PropertyEditorSupport implements ActionListener, FocusListener
This class implements a property editor for non-null String properties that supports custom editing (i.e.: provides a GUI component) based on a text field.

The provided GUI is a simple password field.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PasswordEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`firePropertyChange()`
Avoid needlessly firing PropertyChanged events.
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`String`
`getAsText()`
`Component`
`getCustomEditor()`
`Object`
`getValue()`
`void`
`setAsText(String value)`
`void`
`setValue(Object value)`
`boolean`
`supportsCustomEditor()`

### Methods inherited from class PropertyEditorSupport

`addPropertyChangeListener, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PasswordEditor

protected PasswordEditor()

## Method Details

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`

### setAsText

public void setAsText(String value)

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `PropertyEditor`
Overrides:
  `getValue` in class `PropertyEditorSupport`

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `PropertyEditor`
Overrides:
  `setValue` in class `PropertyEditorSupport`

### getCustomEditor

public Component getCustomEditor()

Specified by:
  `getCustomEditor` in interface `PropertyEditor`
Overrides:
  `getCustomEditor` in class `PropertyEditorSupport`

### supportsCustomEditor

public boolean supportsCustomEditor()

Specified by:
  `supportsCustomEditor` in interface `PropertyEditor`
Overrides:
  `supportsCustomEditor` in class `PropertyEditorSupport`

### firePropertyChange

public void firePropertyChange()
Avoid needlessly firing PropertyChanged events.

Overrides:
  `firePropertyChange` in class `PropertyEditorSupport`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`